Betting.WebApi

<back to all web services

FindLocationGroups

Requires Authentication
The following routes are available for this service:
POST/qry/location-groups
PaginatedQueryRequest Parameters:
NameParameterData TypeRequiredDescription
CurrentPageformintNo
PageSizeformintNo
QueryRequest Parameters:
NameParameterData TypeRequiredDescription
QryformRecordDictionary<string, string>Yes
PaginatedResult<T> Parameters:
NameParameterData TypeRequiredDescription
DataformList<ResponseMetrics>Yes
CurrentPageformlongNo
PageSizeformlongNo
TotalItemsformlongNo
TotalPagesformlongNo
ResponseMetrics Parameters:
NameParameterData TypeRequiredDescription
IdformlongNo
RqcformintNo
OcformintNo
ScformintNo
TcformintNo
AdrformintNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /qry/location-groups HTTP/1.1 
Host: api.bettor.webhop.biz 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"currentPage":0,"pageSize":0,"qry":{"String":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":[{"id":"String","name":"String","organization":{"data":{"String":"String"},"id":"String","val":"String"},"region":{"id":"String","val":"String"}}],"currentPage":0,"pageSize":0,"totalItems":0,"totalPages":0}